[求助] 弹出use askusermessage() or asksyslogmessage()错误

2018-7-9 19:42:10 1170 2

  [复制链接]
zengbiao 发表于 2018-7-7 20:27:16 | 显示全部楼层 |阅读模式

zengbiao 楼主

2018-7-7 20:27:16

请使用QQ关联注册PLM之家,学习更多关于内容,更多精彩原创视频供你学习!

您需要 登录 才可以下载或查看,没有帐号?发邮件注册

x
做UI界面时弹出这个错误& r6 T* W/ x! g' q
int NX10_daoyuanjiao::apply_cb()
- T: F6 F/ l7 |5 B& A% _& G{
6 ~+ x6 E; l. n( |+ [9 t: r    int errorCode = 0;1 o8 l) }, F; z0 v
    try
) Q3 \# l4 F0 [    {
7 L0 X; h% Q. \  @: p        //---- Enter your callback code here -----
( P! a! D+ s5 s- P0 V                  UF_initialize();
; s: e9 [: B) O* V4 G+ F          NXOpen::BlockStyler:PropertyList* DirectionToExtrudeproplist = face_select0->GetProperties();- V6 T; m% N* V* i* ?/ }% ?
          std::vector<NXOpen::TaggedObject *>objects = DirectionToExtrudeproplist->GetTaggedObjectVector("SelectedObjects");6 p' x% @" ?: b; l
                  delete DirectionToExtrudeproplist;7 m* E$ ^# o5 A7 d- t* F: u9 S
                  DirectionToExtrudeproplist= NULL;
2 C* R# {! a* v. o                  * }1 F- p; \4 S5 {
              for ( int i=0;i<objects.size();i++) // size 列表长度,这里指的是 对象个数
4 I( E3 [9 Q; j* A$ X5 d              {   
9 F2 }% Z) y+ }" X' C                                 UF_OBJ_set_color(objects->Tag(),1);//给选中的对象更改颜色
4 ^3 x; _, T5 j! r              }
, l0 L1 w3 q) t# u% f! V" J' X* l: z
/ x; @2 W' s0 d4 R      UF_terminate();# A4 z. V- M2 n* U  o' [
    }
4 G# M/ l/ {4 S* s+ Q    caTCh(exception& ex)2 H# `1 b; x  F6 u
    {
; S# R$ q$ b0 D' s# O: x  F5 W+ C        //---- Enter your exception handling code here -----
+ A$ n; n! Y9 t        errorCode = 1;
' e* m: S$ \  v        NX10_daoyuanjiao::theUI->NXMessageBox()->Show("Block Styler", NXOpen::NXMessageBox:DialogTypeError, ex.what());
2 W0 `9 J: ], K% m3 i2 \2 u    }
( ^; Y) i& ?$ u1 n& D0 I3 v    return errorCode;
& K3 H8 [  K& h& ]( t" h3 d}* ^0 A- W3 b3 V. l
( b2 I. _7 x; S" S+ J
最后调试的时候发现就是标红语句的问题,有大佬知道怎么解决吗

/ e/ M6 W+ l( x# W0 B4 W
捕获.JPG
上海点团信息科技有限公司,承接UG NX,CATIA,CREO,Solidworks 等CAx软件,Teamcenter,3D Experience等PLM软件,工业4.0数字化软件的实施\二次开发\培训相关业务,详情QQ 939801026 Tel 18301858168 网址 www.diantuankj.com/ doTeam.tech
回复

使用道具 举报

admin 发表于 2018-7-9 16:44:26 | 显示全部楼层

admin 沙发

2018-7-9 16:44:26

face_select0->getselectedobjects() 呢。 如果还报错,检查NX开发和VS 匹配版本
上海点团信息科技有限公司,承接UG NX,CATIA,CREO,Solidworks 等CAx软件,Teamcenter,3D Experience等PLM软件,工业4.0数字化软件的实施\二次开发\培训相关业务,详情QQ 939801026 Tel 18301858168 网址 www.diantuankj.com/ doTeam.tech
回复 支持 反对

使用道具 举报

 楼主| zengbiao 发表于 2018-7-9 19:42:10 | 显示全部楼层

zengbiao 板凳

2018-7-9 19:42:10

admin 发表于 2018-7-9 16:444 s' d! [4 i! g9 {$ C" Q
face_select0->getselectedobjects() 呢。 如果还报错,检查NX开发和VS 匹配版本
6 V4 B- S1 D, ~) g
谢谢你指导,我解决了,应该是版本匹配的问题
上海点团信息科技有限公司,承接UG NX,CATIA,CREO,Solidworks 等CAx软件,Teamcenter,3D Experience等PLM软件,工业4.0数字化软件的实施\二次开发\培训相关业务,详情QQ 939801026 Tel 18301858168 网址 www.diantuankj.com/ doTeam.tech
回复 支持 反对

使用道具 举报

您需要登录后才可以回帖 登录 | 发邮件注册

返回列表 本版积分规则

用户组 : 新手上路
邮   箱 :1963869478@qq.com
手   机 :未填写
Q   Q : 未填写
性别 : 就不告诉你
主页 :未填写
个人介绍 :未填写

主题1

帖子4

积分25

  • NX12.0.2 升级或安装

    NX12.0.2 升级或安装图文教程 (1)下载安装包

  • 求助,如何更改装配导

    求助,如何更改部件导航器里组件的顺序,UG10的默

  • Tecnomatix 二次开发

    Tecnomatix 二次开发入门教程 6 实现打开PLM之家

  • 部署teamcenter visua

    部署teamcenter visualization设置和相关选项 我

  • Tecnomatix 二次开发

    Tecnomatix 二次开发入门教程 4 设置图标效果如

  • 发布新帖
  • 在线客服1
  • 在线客服2
  • 微信
  • 客户端
  • 返回顶部
  • NX讨论
    Catia
    TC讨论
    Tecno
    云课堂
    业务合作
    x
    温馨提示

    PLM之家(plmhome.com)提供专业的实施开发培训

    NX二次开发基础培训 | 已 80 学员 参加

    NX二次开发高级培训 | 最高性价比

    CAA二次开发 | 值的一试

    Teamcenter用户基础入门 | 虚拟机赠送

    其他培训申请

    哥已知晓
    快速回复 返回顶部 返回列表